petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerBinarySetSkipOptions

do not use the PETSc options database when loading objects

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySetSkipOptions(PetscViewer viewer,PetscBool skip)

Not Collective

### Input Parameters

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()
| skip | - PETSC_TRUE means do not use

### Options Database Key

-viewer_binary_skip_options -

### Notes

This must be called after PetscViewerSetType()

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetDescriptor(), PetscViewerBinarySkipInfo(),
PetscViewerBinaryGetSkipOptions()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c

### Implementations

PetscViewerBinarySetSkipOptions_Binary in src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages